
Redmine - Defect #7530

Error 500 while editing wiki pages if using Spanish locale

2011-02-03 15:16 - David Marín Carreño

Status: Closed Start date: 2011-02-03

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 1.1.0

Description

I'm getting the following error while creating a wiki page, in both 1.1.0 and 1.1.1 versions:

I18n::MissingInterpolationArgument (missing interpolation argument in "Se ha añadido la página wik

i '%{page}'." ({:id=>"Test"} given)):

  /usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:174:in `interpolate_without_depr

ecated_syntax'

  /usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n/backend/base.rb:46:in `translate'

  /usr/lib/ruby/gems/1.8/gems/i18n-0.4.2/lib/i18n.rb:160:in `t'

  lib/redmine/i18n.rb:13:in `l'

  app/models/mailer.rb:182:in `wiki_content_added'

  app/models/wiki_content_observer.rb:20:in `after_create'

  /usr/lib/ruby/1.8/observer.rb:185:in `notify_observers'

  /usr/lib/ruby/1.8/observer.rb:184:in `each'

  /usr/lib/ruby/1.8/observer.rb:184:in `notify_observers'

  app/controllers/wiki_controller.rb:123:in `update'

  /opt/redmine/public/dispatch.fcgi:24

 The problem is in Spanish translations file.

History

#1 - 2011-02-03 15:19 - David Marín Carreño

- File patch-redmine.txt added

Attaching patch for fixing the problem in es.yml file.

#2 - 2013-04-12 05:36 - Filou Centrinov

Already fixed. Issue can be closed.

#3 - 2013-04-12 09:08 - Etienne Massip

Filou Centrinov wrote:

Already fixed. Issue can be closed.

 Could you please provide some reference to the fixing revision/issue?

#4 - 2013-04-12 14:14 - Filou Centrinov

source:branches/2.3-stable/config/locales/es.yml#L854

source:branches/2.3-stable/config/locales/es.yml#L856

source:branches/2.3-stable/config/locales/es.yml#L857

source:branches/2.3-stable/config/locales/es.yml#L859

#5 - 2013-04-12 15:36 - Etienne Massip

- Status changed from New to Closed

- Resolution set to Fixed

Ok, didn't get the true problem in the first place, sorry.

2025-05-17 1/2

https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.3-stable/config/locales/es.yml#L854
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.3-stable/config/locales/es.yml#L856
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.3-stable/config/locales/es.yml#L857
https://www.redmine.org/projects/redmine/repository/svn/entry/branches/2.3-stable/config/locales/es.yml#L859


#6 - 2013-04-13 05:45 - Toshi MARUYAMA

- Category changed from I18n to Translations

Files

patch-redmine.txt 736 Bytes 2011-02-03 David Marín Carreño
